Description
It'd be great if ISXEVE supported creating contracts.

History

#1 - 2014-10-02 02:22 AM - Amadeus

- Status changed from New to Feedback Required

I'd be curious to get some examples of the types of contracts that you think would be useful for ISXEVE to do. The contract system is pretty
complex -- providing information to the client and then recognizing what the client is presenting ....via a script might be more complex that most
people would realize.

But, maybe there are really simple things that would be possible. Having some examples of simple contract type things that would be useful might
be beneficial in seeing the viability of this type of request.

#2 - 2014-10-02 02:22 AM - Amadeus

- Priority changed from Normal to Low

#3 - 2014-10-02 07:59 AM - aj2k88@gmail.com

Meh... the only popular thing sold through contracts are buying/selling Blueprint copies, and of course courier contracts.

| can see this as useful if a bot created courier contracts from A to B then set up a large pirate fleet in front of B waiting to collect the collateral.

#4 - 2014-10-12 01:25 PM - rogeruk

It would be good to be able to search for contracts of an exact type. For example 'Tornado Blueprint' and then being able to pull the price etc.
Just being able to parse the mass amount of contracts would be a massive help with industry and also market traders.

Parsing the courier contracts would be great, as mentioned a courier bot would be quite simple to do. The script would have to handle the fail safes
and max ISK cargo etc but being able to pull courier contracts starting from Jita and avoiding low&null.

#5 - 2014-10-12 07:08 PM - Amadeus
Any other requests? Otherwise, | will ONLY spend time trying to provide information on contracts relating to what you specifically suggested.
| don't know much about contracts (only ever really used them for person-to-person specific stuff), so | need information on EXACTLY what you do in

the Ul that you would want to have automated, etc. And, when doing this, keep in mind that it should be reasonable and things that others might
want to do as well (i.e., | doubt I'm going to spend time putting in a way to create complex contracts...regardless of how useful it might be.)

#6 - 2014-10-13 05:08 AM - rogeruk
- File contracts.png added

- File couriercontract.png added

rch/View rier Contr
Images Attached

Input

Location (Station, Current System, Current Region, All Regions etc)
Reward (Min, Max)

Collateral (Min, Max)

Volume (Min, Max)
Availability (Public, Me, My Corporation)
Security Filters (High, Low, Null)
Issuer (Specific Player)

View Contract
This is where you would have to pull the Pickup Location and the Destination

Bot Usage
Simple courier bot to make ISK

Freighter bot to courier your own or corporation assets (wouldn't have to worry about max cargo, or ISK value because contract creator will do this).

#7 - 2014-10-13 05:18 AM - rogeruk
- File sellcontracts.png added

- File itemcat.png added

- File multipleitems.png added

- File sellcontract.png added

Search/View 'Want to Sell' Contracts
Images Attached

Input
Location (Station, Current System, Current Region, All Regions etc)

Contract Type (All, Want to Sell, Want to Buy, Auctions, Exclude Want To Buy)

Item Category (This is possibly the most important one, being able to select this would filter the results alot, eg. Blueprint Original)
Exclude Multiple Items (Tick Box)

Exact Type Match (Tick box)

Price (Min, Max)

Availability (Public, Me, My Corporation)

Security Filters (High, Low, Null)

Issuer (Specific Player)

View Contr:

This is where you would have to pull the Location of the item

If it is a multiple items contract then each item will be listed in a listbox.
Accept or Accept (Corp)

Bot Usage
Really depends on the bot creator, it will simply allow us to parse through the public contracts to find deals, cheap ships, mods, fittted ships etc etc

#8 - 2014-10-16 02:47 AM - Amadeus
- Status changed from Feedback Required to In Progress

- Assignee set to Amadeus

#9 - 2017-06-01 12:28 PM - bjcasey

| would like to see support for contracts added for the following usage:

| have a corp that will buy all of my ore at specific prices, but they don't like contracts of more than 200,000,000isk. It's tedious enough that I'd like to
automate the placing of contracts to them where it would scan my cargo for items, place them for contract with the specific corp for the agreed upon
price.

| can give you more specific information if you need it.

#10 - 2017-07-31 03:14 PM - rogeruk
Would LOVE contract support :D :D

#11 - 2017-08-25 01:55 PM - rogeruk

Anything we can do to help with getting this implemented?.
